Package com.smartgwt.client.bean.types

# Class EnumValueType<ValueType extends Enum<ValueType>>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.OtherValueType<ValueType>
com.smartgwt.client.bean.types.EnumValueType<ValueType>

Direct Known Subclasses:
  `ValueEnumValueType`

public class EnumValueType<ValueType extends Enum<ValueType>> extends OtherValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EnumValueType(Class<ValueType> valueType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `ValueType`
  `convertFrom(Object value)`
  `protected String`
  `doConvertToString(ValueType value)`
  `static <T extends Enum<T>>
  void`
  `registerEnumValueType(Class<T> klass)`

  ### Methods inherited from class com.smartgwt.client.bean.types.OtherValueType

  `getValueType, isAssignableFrom, registerOtherValueType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumValueType

    protected EnumValueType(Class<ValueType> valueType)

- ## Method Details

  - ### registerEnumValueType

    public static <T extends Enum<T>> void registerEnumValueType(Class<T> klass)

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `OtherValueType<ValueType extends Enum<ValueType>>`

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `OtherValueType<ValueType extends Enum<ValueType>>`

  - ### doConvertToString

    protected String doConvertToString(ValueType value)
    Overrides:
      `doConvertToString` in class `BeanValueType<ValueType extends Enum<ValueType>>`